Create a custom pipeline profile.
Custom profiles are tenant-scoped and can be used alongside built-in profiles.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to create a custom pipeline profile.
Response Body
application/json
application/json
curl -X POST "https://example.com/memory/pipeline/profiles" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "string",
"name": "string",
"display_name": "string",
"description": "string",
"is_builtin": true,
"is_active": true,
"composition": {
"property1": "string",
"property2": "string"
},
"overrides": {
"property1": {},
"property2": {}
},
"tags": [
"string"
],
"usage_count": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}